DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureInertia

Measure the object's inertia

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureInertiaID ( void )

## OUTPUT DATA TYPE

`dip_FloatArray`

## FUNCTION

`dip_FeatureInertiaID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function calculates the inertia of an object by calculating the eigenvalues of the object's second order moments tensor. This measure only supports 2D and 3D objects. `FeatureInteria` supports a measurement parameter (see `Measure`). If a pointer to a non-zero Boolean is supplied, this function will not only measure the eigenvalues of the second order moments tensor, but also the angles of its eigenvectors.

## ARGUMENTS

Data type | Name | Description
`dip_Boolean *` | `angles` | Pointer to a Boolean specifying that "eigenangles" should be measured (not yet implemented)

## NOTE

If any physical dimensions are passed to this function through `Measure`, only the sample distance along the first dimension is used. All other dimensions are assumed to be sampled the same way. This produces incorrect results for anisotropically sampled images.

## LITERATURE

"Practical Handbook on Image Processing for Scientific Applications, chapter 16", Bernd Jahne, CRC Press, 1999.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`